/*
 * language.c -- part of mystats.mod
 * Copyright (C) 2003  Douglas Cau <douglas@cau.se>
 *
 *  $Id: language.h 59 2004-03-24 16:22:07Z cau $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#define MYSTATS_ERR_NOSQL           get_language(0xd010)
#define MYSTATS_SQL_OPEN            get_language(0xd011)
#define MYSTATS_SQL_CLOSE           get_language(0xd012)
#define MYSTATS_SQL_ERRRES          get_language(0xd013)

#define MYSTATS_USR_ADDED           get_language(0xd020)
#define MYSTATS_USR_ADDUSAGE        get_language(0xd022)
#define MYSTATS_USR_EXISTS          get_language(0xd023)
#define MYSTATS_USR_DELUSAGE        get_language(0xd024)
#define MYSTATS_USR_NOUSER          get_language(0xd025)
#define MYSTATS_USR_DELETED         get_language(0xd026)
#define MYSTATS_USR_MATCHUSAGE      get_language(0xd032)
#define MYSTATS_USR_MATCHING        get_language(0xd033)
#define MYSTATS_USR_MATCHES         get_language(0xd034)
#define MYSTATS_USR_ISBOT           get_language(0xd060)
#define MYSTATS_USR_CHHOST          get_language(0xd081)

#define MYSTATS_BOT_ADDED           get_language(0xd055)
#define MYSTATS_BOT_ADDUSAGE        get_language(0xd057)
#define MYSTATS_BOT_DELETED         get_language(0xd056)
#define MYSTATS_BOT_DELUSAGE        get_language(0xd058)
#define MYSTATS_BOT_ISUSER          get_language(0xd061)

#define MYSTATS_HST_ADDED           get_language(0xd021)
#define MYSTATS_HST_ADDUSAGE        get_language(0xd027)
#define MYSTATS_HST_NOHOST          get_language(0xd028)
#define MYSTATS_HST_EXISTS          get_language(0xd029)
#define MYSTATS_HST_DELUSAGE        get_language(0xd030)
#define MYSTATS_HST_DELETED         get_language(0xd031)

#define MYSTATS_CHN_ADDUSAGE        get_language(0xd035)
#define MYSTATS_CHN_NOTON           get_language(0xd036)
#define MYSTATS_CHN_START           get_language(0xd037)
#define MYSTATS_CHN_DELUSAGE        get_language(0xd038)
#define MYSTATS_CHN_STOP            get_language(0xd039)
#define MYSTATS_CHN_PURGEUSAGE      get_language(0xd040)
#define MYSTATS_CHN_PURGEERR        get_language(0xd041)
#define MYSTATS_CHN_PURGED          get_language(0xd042)

#define MYSTATS_CAT_LINES           get_language(0xd043)
#define MYSTATS_CAT_WORDS           get_language(0xd044)
#define MYSTATS_CAT_JOINS           get_language(0xd045)
#define MYSTATS_CAT_KICKS           get_language(0xd046)
#define MYSTATS_CAT_KICKED          get_language(0xd047)
#define MYSTATS_CAT_QUESTIONS       get_language(0xd048)
#define MYSTATS_CAT_TOPICS          get_language(0xd049)
#define MYSTATS_CAT_ACTIONS         get_language(0xd04A)
#define MYSTATS_CAT_ONLINE          get_language(0xd04B)
#define MYSTATS_CAT_WPM             get_language(0xd04C)

#define MYSTATS_PUB_NOCAT           get_language(0xd071)
#define MYSTATS_PUB_NOUSERS         get_language(0xd072)
#define MYSTATS_PUB_STATSUSAGE      get_language(0xd073)
#define MYSTATS_PUB_PLACEUSAGE      get_language(0xd074)
#define MYSTATS_PUB_NORECORD        get_language(0xd075)
#define MYSTATS_PUB_RANKUSAGE       get_language(0xd076)
#define MYSTATS_PUB_WORDSUSAGE      get_language(0xd077)
#define MYSTATS_PUB_MINWORDS        get_language(0xd078)
#define MYSTATS_PUB_UTTEREDUSAGE    get_language(0xd079)
#define MYSTATS_PUB_NOUTTERED       get_language(0xd07A)

#define MYSTATS_LST_NICK            get_language(0xd062)
#define MYSTATS_LST_HAND            get_language(0xd063)
#define MYSTATS_LST_FLAGS           get_language(0xd064)
#define MYSTATS_LST_END             get_language(0xd065)

#define MYSTATS_CHR_LIST            get_language(0xd080)

